"""This module provides a high-level interface for creating a Web Thing."""

# flake8: noqa
from .action import Action
from .event import Event
from .property import Property
from .server import WebThingServer
from .containers import SingleThing, MultipleThings
from .thing import Thing
from .value import Value
from .utils import background_thread_loop
from .auth import requires
from .middlewares import JWTAuthenticationBackend, JWTWebSocketAuthenticationBackend
